Bug 832578 - Reinstall fails on ovirt-node-iso.
Reinstall fails on ovirt-node-iso.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.1 RC
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fabian Deutsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 15:28 EDT by Robert Middleswarth
Modified: 2016-04-26 18:17 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 07:47:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen Shot of error "Invalid installation, please reboot from the media and choose Reinstall" (3.37 KB, image/png)
2012-06-15 15:28 EDT, Robert Middleswarth
no flags Details
image of error in dracut (26.34 KB, image/png)
2012-06-15 16:18 EDT, Mike Burns
no flags Details

  None (edit)
Description Robert Middleswarth 2012-06-15 15:28:37 EDT
Created attachment 592215 [details]
Screen Shot of error "Invalid installation, please reboot from the media and choose Reinstall"

Description of problem:
I had a failed install of ovirt-node-iso issue with the cd image dropping out of drac.  When I went to reinstall all I get is an error and no option to reinstall

Version-Release number of selected component (if applicable):
ovirt-node-iso-2.4.0-1.1.fc17.iso	

How reproducible:
Once you have a failed install it will repeat again until you wipe the drive.

Steps to Reproduce:
1. Reboot in the middle of the install.  In my case when the installer was 75% done
2. Try and install using the is.
3.
  
Actual results:
Well get the error message:
Invalid installation, please reboot from the media and choose Reinstall

No mather how many times you reboot there is no reinstall option.

Expected results:
System would start a new install.

Additional info:
Comment 1 Robert Middleswarth 2012-06-15 15:41:18 EDT
Workaround.

When the CD boots up select trouble shootting.  Then select uninstall.

After it reboot then you can start a fresh install.

Thanks
Robert
Comment 2 Mike Burns 2012-06-15 16:18:37 EDT
Created attachment 592222 [details]
image of error in dracut

Reinstall fails in dracut to cleanup
Comment 3 Fabian Deutsch 2012-06-19 10:37:40 EDT
LVM conf is using read-only locking by default (doesn't allwo changes of metadata), the patches relaxes this for the tmie needed to remove the hostvg:

http://gerrit.ovirt.org/#/c/5486/
Comment 4 Fabian Deutsch 2012-06-20 16:23:39 EDT
Tested as follows:
1. Install old node iso
2. Boot ISO w/ patch and append firstboot
= Installer suggests to "Install"

Note You need to log in before you can comment on or make changes to this bug.